<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bass__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bass_config_t</compoundname>
    <includes local="no">cy_ble_bas.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bass__config__t_1ad27cf3fa01af67b03f4cfc269069161d" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__bass__t">cy_stc_ble_bass_t</ref> *</type>
        <definition>const cy_stc_ble_bass_t* cy_stc_ble_bass_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Service GATT DB Handles structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="112" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="112" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bass__config__t_1a0a85441723017d129c792dba79053b0a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bass_config_t::serviceCount</definition>
        <argsstring />
        <name>serviceCount</name>
        <briefdescription>
<para>The number supported Battery Services as server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="115" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service configuration structure (server) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="125">
        <label>cy_stc_ble_bass_config_t</label>
        <link refid="structcy__stc__ble__bass__config__t" />
        <childnode refid="126" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="126">
        <label>cy_stc_ble_bass_t</label>
        <link refid="structcy__stc__ble__bass__t" />
      </node>
    </collaborationgraph>
    <location bodyend="116" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="110" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bass__config__t_1ad27cf3fa01af67b03f4cfc269069161d" virt="non-virtual"><scope>cy_stc_ble_bass_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__bass__config__t_1a0a85441723017d129c792dba79053b0a" virt="non-virtual"><scope>cy_stc_ble_bass_config_t</scope><name>serviceCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>